
#
# ONLY RUN ONCE in the fist node
#

# FIXME when migrations are available we use them and forget about this stuff.
include_recipe "apt"

execute "packages update check" do
  command "ls"
  notifies :run, resources(:execute => "apt-get update"), :immediately
end

package "build-essential" do 
	options '--force-yes -o Dpkg::Options::="--force-confnew" '
end 

package "autoconf" do 
	options '--force-yes -o Dpkg::Options::="--force-confnew" '
end 

package "libtool" do 
	options '--force-yes -o Dpkg::Options::="--force-confnew" '
end 

package "python3-dev" do 
	options '--force-yes -o Dpkg::Options::="--force-confnew" '
end 

package "python3-pip" do 
	options '--force-yes -o Dpkg::Options::="--force-confnew" '
end 

# Paquete python3 ================================================================
# package "python3" do
  # # force yes is a hack because I do not have a signed repo.
  # options '--force-yes -o Dpkg::Options::="--force-confnew" '
# end
# package "python3-dev" do
  # # force yes is a hack because I do not have a signed repo.
  # options '--force-yes -o Dpkg::Options::="--force-confnew" '
# end
# package "python3-pip" do
  # # force yes is a hack because I do not have a signed repo.
  # options '--force-yes -o Dpkg::Options::="--force-confnew" '
# end

# Install Packages with pip ================================================================

#Seteo variables de entorno para que se descarguen los paquetes desde los repo locales.
bash "Set pip source repo" do
  user    "root"
  cwd     "root"
  code  <<-EOH
	echo [easy_install] > ~/.pydistutils.cfg
	echo index-url=http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ >> ~/.pydistutils.cfg
  EOH
end

#pip3 install -v --upgrade --ignore-installed --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ pip
bash "Packages pip" do
  user    "root"
  cwd     "root"
  code  <<-EOH
	pip3 install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ pip==20.2.4
  EOH
end

bash "Packages setuptools" do
  user    "root"
  cwd     "root"
  code  <<-EOH
    pip3 install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ setuptools
  EOH
end

# Paquete gast ================================================================

#pip install gast==0.2.2
bash "Packages pytz" do
  user    "root"
  cwd     "root"
  code  <<-EOH
    pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ gast  
  EOH
end

# Paquete pytz ================================================================
#pip install --user pytz==2019.1
bash "Packages pytz" do
  user    "root"
  cwd     "root"
  code  <<-EOH
    pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ --user pytz==2019.1    
  EOH
end

bash "Packages redis" do
  user    "root"
  cwd     "root"
  code  <<-EOH   
	pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} http://#{node.inconcert.sources.server}/repo/UbuntuBionic/redis-ubuntu/redis-3.5.3-py2.py3-none-any.whl
  EOH
end

#pip install tensorflow
bash "Packages tensorflow" do
  user    "root"
  cwd     "root"
  code  <<-EOH   
	pip install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ tensorflow
  EOH
end

bash "Packages rasa-x" do
  user    "root"
  cwd     "root"
  code  <<-EOH
    pip3 install -v --upgrade --ignore-installed --trusted-host #{node.inconcert.sources.server} --index-url http://#{node.inconcert.sources.server}/repo/UbuntuBionic/ rasa-x
  EOH
end
